Why can't remove the check for FW in games?

Discussion in '3DS - Flashcards & Custom Firmwares' started by blazingwolf, Feb 4, 2015.

  1. blazingwolf
    OP

    blazingwolf GBAtemp Fan

    Member
    387
    6
    Jul 30, 2007
    United States
    Why can't remove the check for FW in games?
    In the PS3 scene you can spoof games so that they don't prompt/require firmware update requirements. Can we not make changes to ROMS so that the version required on launch is something we are running and therefore avoid the need for >9.4 EMUNAND?
     
  2. shinyquagsire23

    shinyquagsire23 SALT/Sm4sh Leak Guy

    Member
    1,961
    3,231
    Nov 18, 2012
    United States
    Las Vegas
    We already can, version spoofed .cias can be found already, especially for CFW users who need them spoofed down to 4.5.
     
    Kafke likes this.
  3. BudWinston

    BudWinston Member

    Newcomer
    39
    5
    Jan 21, 2015
    United States
    Oregon, Illinois
    Hey thanks! I just got an R4 today and didn't know whether I could spoof the European version of Tomodachi Life to play as a CIA.
     
  4. blazingwolf
    OP

    blazingwolf GBAtemp Fan

    Member
    387
    6
    Jul 30, 2007
    United States
    So the lack of 9.5 emunand support is no big deal. We would just have to install spoofed .cia files for the newer games we wanted to play?

    EDIT: On the new 3DS using gateway of course.
     
  5. shinyquagsire23

    shinyquagsire23 SALT/Sm4sh Leak Guy

    Member
    1,961
    3,231
    Nov 18, 2012
    United States
    Las Vegas
    Yep, and you can install updates via .cia (which will be dumped fairly quickly, I guarantee it), so as long as they don't do any significant encryption/SDK changes and games actually start using those changes, there's not too big of a problem staying on 9.4.
     
  6. mrolive

    mrolive GBAtemp Advanced Fan

    Member
    547
    202
    Jul 14, 2014
    Canada
    Uh......the R4 only plays DS roms.....
     
  7. BudWinston

    BudWinston Member

    Newcomer
    39
    5
    Jan 21, 2015
    United States
    Oregon, Illinois
    any ds flashcard can be used to play cias
     
  8. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,092
    Dec 11, 2014
    Portugal
    No. It can't. A DS flashcart is used to set up CFW but the cias run because of the CFW, not because of the DS flashcart
     
  9. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,043
    3,349
    Nov 13, 2014
    United States
    Same difference :P
     
  10. gamesquest1

    gamesquest1 Nabnut

    Member
    14,088
    9,423
    Sep 23, 2013
    well the CFW route doesnt even do 6.x save encryption (even the funky style gateway use) or 7.x rom decryption.....so this new type of encryption is the least of its worries.....plus im fairly sure this new type of encryption is just for the new3ds.....and the CFW doesn't work on the n3ds....so even less of a worry, basically the only people this does effect is gateway users on the n3ds....who are also unaffected as gateway doesn't even work on the n3ds yet .....basically nobody should really care at all until gateway release this update "soon"